<?php
defined('PHPFOX') or exit('NO DICE!');

class Adblog_Component_Block_Latestblogs extends Phpfox_Component 
{
	/**
	 * Class process method wnich is used to execute this component.
	 */
	public function process()
	{
		$latest_blogs = Phpfox::getService('adblog.callback')->getlatest();
		
		if (!$latest_blogs)
		{
			return false;
		}
		foreach($latest_blogs as &$item)
		{
			$item["blog_image"] = Phpfox::getService('adblog.callback')->getblogimage($item["blog_id"]);
			$item["date"] = date("M d, Y", $item["time_stamp"]);
		}
		
		
		$this->template()->assign(array(
				'latest_blogs' => $latest_blogs,
				'bg' => Phpfox::getParam('adblog.bg')
			)
		);
	}
}

?>