<?php
/**
 * [PHPFOX_HEADER]
 *
 * @copyright		[PHPFOX_COPYRIGHT]
 * @author  		Raymond Benc
 * @package  		Module_Blog
 * @version 		$Id: index.html.php 7290 2014-04-30 19:14:20Z Fern $
 */

defined('PHPFOX') or exit('NO DICE!');
?>
<link rel="stylesheet" href="//maxcdn.bootstrapcdn.com/font-awesome/4.3.0/css/font-awesome.min.css">
{if isset($bSpecialMenu) && $bSpecialMenu == true}
    {template file='blog.block.specialmenu'}
{/if}
{if !count($aItems)}
<div class="extra_info">
	{phrase var='blog.no_blogs_found'}
</div>
{else}
{if $featured_item && !$sView && $page<=1}
		<div style="{if $featured_item.blog_image}background:url('{$featured_item.blog_image}');background-size:cover;{else}background:{$bg};{/if}" id="js_blog_entry{$featured_item.blog_id}"{if !isset($bBlogView)} class="moderation_row js_blog_parent  blog_main_featured"{/if}>
		<i class="fa fa-thumbs-up"></i>
		<div class='blog_pad'>
		<div class='ad_blog_title'>
				<a href="{permalink module='adblog' id=$featured_item.blog_id title=$featured_item.title}" id="js_blog_edit_inner_title{$featured_item.blog_id}" class="link ajax_link" itemprop="url">{$featured_item.title|clean|shorten:55:'...'|split:20}</a>
				<div class='postedby'>
						{phrase var='blog.by_full_name' full_name=$featured_item.user.full_name:'':'':50:''}
						{if $featured_item.category}&nbsp;{phrase var='adblog.in'}
						{foreach from=$featured_item.category key=vasa item=cat name=category}
                            <a href="{$cat.link}">
                                {if Phpfox::isPhrase($this->_aVars['cat']['category_name'])}
                                {phrase var=$cat.category_name}
                                {else}
                                {$cat.category_name|convert|clean}
                                {/if}
                            </a>
						{/foreach}
					{/if}
					</div>
			</div>
		</div>
	</div>
{/if}
{item name='BlogPosting'}
<div id='grid' {if $first=="grid"}style='display:block'{/if}>
	{foreach from=$aItems name=blog item=aItem}
		{item name='BlogPosting'}
			<div style="word-wrap:break-word;position:relative;{if $aItem.blog_image}background:url('{$aItem.blog_image}');background-size:cover;{else}background:{$bg};{/if}{if is_int($phpfox.iteration.blog/3)}margin-right:0;{/if}" id="js_blog_entry{$aItem.blog_id}"{if !isset($bBlogView)} class=" {if is_int($phpfox.iteration.blog/2)}row1{else}row2{/if}{if $aItem.is_approved != 1} {/if} blog_main"{/if}>
			<div class='blog_pad moderation_row js_blog_parent' >
				<div class='blog_extra_data'>
					<div class="row_title_image">
						{if Phpfox::getUserParam('blog.can_approve_blogs')
							|| (Phpfox::getUserParam('blog.edit_own_blog') && Phpfox::getUserId() == $aItem.user_id) || Phpfox::getUserParam('blog.edit_user_blog')
							|| (Phpfox::getUserParam('blog.delete_own_blog') && Phpfox::getUserId() == $aItem.user_id) || Phpfox::getUserParam('blog.delete_user_blog')
						}
							<div class="row_edit_bar_parent">
								<div class="row_edit_bar">
									<a role="button" class="row_edit_bar_action" data-toggle="dropdown">
										<i class="fa fa-action"></i>
									</a>
									<ul class="dropdown-menu">
										{template file='adblog.block.link'}
									</ul>
								</div>
							</div>
						{/if}
{if $aItem.user_id == Phpfox::getUserId() || Phpfox::getUserParam('blog.can_approve_blogs') || Phpfox::getUserParam('blog.delete_user_blog')}<a href="#{$aItem.blog_id}" class="moderate_link" {if Phpfox::getUserParam('blog.can_approve_blogs') || Phpfox::getUserParam('blog.delete_user_blog')}data-id="mod" {else} data-id="user"{/if} rel="blog"></a>{/if}
					</div>
				</div>
				<div class='ad_blog_title'>
					<a href="{permalink module='adblog' id=$aItem.blog_id title=$aItem.title}" id="js_blog_edit_inner_title{$aItem.blog_id}" class="link ajax_link" itemprop="url">{$aItem.title|clean|shorten:55:'...'|split:20}</a>
					<div class='postedby'>
						{phrase var='blog.by_full_name' full_name=$aItem|user:'':'':50:'':'author'}
						{if $aItem.category}&nbsp;{phrase var='adblog.in'}
						{foreach from=$aItem.category key=vasa item=cat name=category}
                            <a href="{$cat.link}">
                            {if Phpfox::isPhrase($this->_aVars['cat']['category_name'])}
                                {phrase var=$cat.category_name}
                            {else}
                                {$cat.category_name|convert|clean}
                            {/if}
							</a>
						{/foreach}
					{/if}
					</div>
				</div>
			</div>
		</div>
		{/item}
	{/foreach}
</div>
<div id='grid2' {if $first=="grid 2"}style='display:block'{/if}>
	{foreach from=$aItems name=blog item=aItem}
		{item name='BlogPosting'}
			<div style="word-wrap:break-word;position:relative;{if $aItem.blog_image}background:url('{$aItem.blog_image}');background-size:cover;{else}background:{$bg};{/if}{if is_int($phpfox.iteration.blog/2)}margin-right:0;{/if}" id="js_blog_entry{$aItem.blog_id}"{if !isset($bBlogView)} class=" {if is_int($phpfox.iteration.blog/2)}row1{else}row2{/if}{if $aItem.is_approved != 1} {/if} blog_main"{/if}>
			<div class='blog_pad moderation_row js_blog_parent' >
				<div class='blog_extra_data'>
					<div class="row_title_image">
						{if Phpfox::getUserParam('blog.can_approve_blogs')
							|| (Phpfox::getUserParam('blog.edit_own_blog') && Phpfox::getUserId() == $aItem.user_id) || Phpfox::getUserParam('blog.edit_user_blog')
							|| (Phpfox::getUserParam('blog.delete_own_blog') && Phpfox::getUserId() == $aItem.user_id) || Phpfox::getUserParam('blog.delete_user_blog')
						}
							<div class="row_edit_bar_parent">
								<div class="row_edit_bar">
									<a role="button" class="row_edit_bar_action" data-toggle="dropdown">
										<i class="fa fa-action"></i>
									</a>
									<ul class="dropdown-menu">
										{template file='adblog.block.link'}
									</ul>
								</div>
							</div>
						{/if}
{if $aItem.user_id == Phpfox::getUserId() || Phpfox::getUserParam('blog.can_approve_blogs') || Phpfox::getUserParam('blog.delete_user_blog')}<a href="#{$aItem.blog_id}" class="moderate_link" {if Phpfox::getUserParam('blog.can_approve_blogs') || Phpfox::getUserParam('blog.delete_user_blog')}data-id="mod" {else} data-id="user"{/if} rel="blog"></a>{/if}
					</div>
				</div>
				<div class='ad_blog_title'>
					<a href="{permalink module='adblog' id=$aItem.blog_id title=$aItem.title}" id="js_blog_edit_inner_title{$aItem.blog_id}" class="link ajax_link" itemprop="url">{$aItem.title|clean|shorten:55:'...'|split:20}</a>
					<div class='postedby'>
						{phrase var='blog.by_full_name' full_name=$aItem|user:'':'':50:'':'author'}
						{if $aItem.category}&nbsp;{phrase var='adblog.in'}
						{foreach from=$aItem.category key=vasa item=cat name=category}
                        <a href="{$cat.link}">
                            {if Phpfox::isPhrase($this->_aVars['cat']['category_name'])}
                            {phrase var=$cat.category_name}
                            {else}
                            {$cat.category_name|convert|clean}
                            {/if}
                        </a>
						{/foreach}
					{/if}
					</div>
				</div>
			</div>
		</div>
		{/item}
	{/foreach}
</div>
<div id='list' {if $first == "list"}style='display:block'{/if}>
	{foreach from=$aItems name=blog item=aItem}
	<div style="word-wrap:break-word;" id="js_blog_entry{$aItem.blog_id}"{if !isset($bBlogView)} class="moderation_row js_blog_parent {if is_int($phpfox.iteration.blog/2)}row1{else}row2{/if}{if $phpfox.iteration.blog == 1 && !PHPFOX_IS_AJAX} row_first{/if}{if $aItem.is_approved != 1} {/if}"{/if}>
	{if $aItem.blog_image}<div class='blog_image'><div class="hovereffect"><img src='{$aItem.blog_image}' /><div class='overlay'></div></div></div>{/if}
	{if !isset($bBlogView)}
	<div class="row_title">
		<div class="row_title_image">
			{if Phpfox::getUserParam('blog.can_approve_blogs')
				|| (Phpfox::getUserParam('blog.edit_own_blog') && Phpfox::getUserId() == $aItem.user_id) || Phpfox::getUserParam('blog.edit_user_blog')
				|| (Phpfox::getUserParam('blog.delete_own_blog') && Phpfox::getUserId() == $aItem.user_id) || Phpfox::getUserParam('blog.delete_user_blog')
			}
			<div class="row_edit_bar_parent">
				<div class="row_edit_bar">
					<a role="button" class="row_edit_bar_action" data-toggle="dropdown">
						<i class="fa fa-action"></i>
					</a>
					<ul class="dropdown-menu">
						{template file='adblog.block.link'}
					</ul>
				</div>
			</div>
			{/if}
			{if $aItem.user_id == Phpfox::getUserId() || Phpfox::getUserParam('blog.can_approve_blogs') || Phpfox::getUserParam('blog.delete_user_blog')}<a href="#{$aItem.blog_id}" class="moderate_link" {if Phpfox::getUserParam('blog.can_approve_blogs') || Phpfox::getUserParam('blog.delete_user_blog')}data-id="mod" {else} data-id="user"{/if} rel="blog"></a>{/if}
		</div>
		<div class="row_title_info">
			{if $aItem.post_status == 2}
			  <span class="blog_status_draft">
          {phrase var='blog.draft_info'}
        </span>
			{/if}
			<header>
				<h1 id="js_blog_edit_title{$aItem.blog_id}" itemprop="name">
					<a href="{permalink module='adblog' id=$aItem.blog_id title=$aItem.title}" id="js_blog_edit_inner_title{$aItem.blog_id}" class="link ajax_link" itemprop="url">{$aItem.title|clean}</a>
				</h1>
				<div class="row_header">
					<ul>
						<li>{$aItem.time_stamp|convert_time}</li>
						<li>{phrase var='blog.by_full_name' full_name=$aItem|user:'':'':50:'':'author'}</li>
						{plugin call='blog.template_block_entry_date_end'}
					</ul>
				</div>
			</header>

	{/if}
		<div class="row_content blog_content">
			<div id="js_blog_edit_text{$aItem.blog_id}">
				<div class="item_content item_view_content" itemprop="articleBody">
					{if isset($bBlogView)}
					{$aItem.text|parse|highlight:'search'|split:500}
					{else}
					<div class="extra_info">
						{if $iShorten}
						{$aItem.text|stripbb|highlight:'search'|split:500|shorten:$iShorten:'...'}
						{else}
						{$aItem.text|stripbb|highlight:'search'|split:500}
						{/if}
					</div>
					{/if}
				</div>
			</div>

			{if isset($bBlogView) && $aItem.total_attachment}
			{module name='attachment.list' sType=blog iItemId=$aItem.blog_id}
			{/if}
			{if isset($aItem.tag_list)}
			{module name='tag.item' sType=$sTagType sTags=$aItem.tag_list iItemId=$aItem.blog_id iUserId=$aItem.user_id sMicroKeywords='keywords'}
			{/if}

			{if !isset($bBlogView) && isset($aItem.categories)}
			<div class="blog-category">
				Posted in: {$aItem.categories}
			</div>
			{/if}

			{plugin call='blog.template_block_entry_text_end'}
		</div>

	{plugin call='blog.template_block_entry_end'}
	{if !isset($bBlogView)}
		</div>
	</div>
	<div class='clr'></div>
	{/if}
</div>
	{/foreach}
</div>
{/item}
<div class='clr'></div>
{if Phpfox::getUserParam('blog.can_approve_blogs') || Phpfox::getUserParam('blog.delete_user_blog')}
{moderation}
{/if}

{pager}
{/if}
